{"openapi":"3.0.0","info":{"version":"1.0","title":"99Ticks Backend API","description":""},"tags":[{"name":"auth","description":"Authentication"},{"name":"umm","description":"User management"},{"name":"class room","description":"In this enpoint will discribe tutor service enpoints. This includes payment, sessions and various other aspects of tutor service."},{"name":"activity","description":"ClassRoom Activities"},{"name":"student","description":"Student management"}],"paths":{"/auth/users/authenticate(1)":{"post":{"tags":["auth"],"description":"Authentication","requestBody":{"description":"use usetname and password","content":{"application/json":{"schema":{"type":"object","properties":{"clientId":{"type":"string","description":"N/A","example":"abc"},"clientSecret":{"type":"string","description":"N/A","example":null},"username":{"type":"string","description":"N/A","example":"hello@gmail.com"},"password":{"type":"string","description":"N/A","example":"XXXXXXX"}}}}}},"responses":{"200":{"description":"Get configuration","content":{"aplication/json":{"schema":{"type":"object","properties":{"status":{"type":"string","description":"N/A","example":"abc"},"statusCode":{"type":"string","description":"N/A","example":"abc"},"messageKey":{"type":"string","description":"N/A","example":"AUTHETICATE_SCUCCESS"},"data":{"type":"object","properties":{"accessToken":{"type":"string","description":"N/A","example":"jwt-token"},"expiresIn":{"type":"number","description":"N/A","example":3600},"tokenType":{"type":"string","example":"Bearer"},"refreshToken":{"type":"string","example":"jwt-token"},"idToken":{"type":"string","example":"jwt-token"}}}}}}}}}}},"/auth/users/authenticate(2)":{"post":{"tags":["auth"],"description":"Authentication","requestBody":{"description":"use refresh token","content":{"application/json":{"schema":{"type":"object","properties":{"clientId":{"type":"string","description":"N/A","example":"abc"},"clientSecret":{"type":"string","description":"N/A","example":null},"refreshToken":{"type":"string","description":"N/A","example":"jwt-token"}}}}}},"responses":{"200":{"description":"Get configuration","content":{"aplication/json":{"schema":{"type":"object","properties":{"status":{"type":"string","description":"N/A","example":"abc"},"statusCode":{"type":"string","description":"N/A","example":"abc"},"messageKey":{"type":"string","description":"N/A","example":"AUTHETICATE_SCUCCESS"},"data":{"type":"object","properties":{"accessToken":{"type":"string","description":"N/A","example":"jwt-token"},"expiresIn":{"type":"number","description":"N/A","example":3600},"tokenType":{"type":"string","example":"Bearer"},"idToken":{"type":"string","example":"jwt-token"}}}}}}}}}}},"/auth/users/authenticate(3)":{"post":{"tags":["auth"],"description":"Authentication","requestBody":{"description":"set new password with login","content":{"application/json":{"schema":{"type":"object","properties":{"clientId":{"type":"string","description":"N/A","example":"abc"},"clientSecret":{"type":"string","description":"N/A","example":null},"username":{"type":"string","description":"N/A","example":"hello@gmail.com"},"password":{"type":"string","description":"N/A","example":"XXXXXXX"},"newPassword":{"type":"string","description":"N/A","example":"XXXXXXX"}}}}}},"responses":{"200":{"description":"Get configuration","content":{"aplication/json":{"schema":{"type":"object","properties":{"status":{"type":"string","description":"N/A","example":"abc"},"statusCode":{"type":"string","description":"N/A","example":"abc"},"messageKey":{"type":"string","description":"N/A","example":"AUTHETICATE_SCUCCESS"},"data":{"type":"object","properties":{"accessToken":{"type":"string","description":"N/A","example":"jwt-token"},"expiresIn":{"type":"number","description":"N/A","example":3600},"tokenType":{"type":"string","example":"Bearer"},"idToken":{"type":"string","example":"jwt-token"}}}}}}}}}}},"/auth/users/verify":{"get":{"tags":["auth"],"description":"Authentication","responses":{"200":{"description":"Get configuration","content":{"aplication/json":{"schema":{"type":"object","properties":{"status":{"type":"string","description":"N/A","example":"abc"},"statusCode":{"type":"string","description":"N/A","example":"abc"},"messageKey":{"type":"string","description":"N/A","example":"AUTHETICATE_SCUCCESS"},"data":{"type":"object","properties":{"sub":{"type":"string","description":"N/A","example":"jwt-token"},"emailVerified":{"type":"boolean","description":"N/A","example":3600},"poolId":{"type":"string","example":"Bearer"},"userId":{"type":"string","example":"jwt-token"},"tenantId":{"type":"string","example":"Bearer"},"name":{"type":"string","example":"jwt-token"},"role":{"type":"string","example":"student"},"email":{"type":"string","example":"hello@gmail.com"},"subscribeTenants":{"type":"array","items":{"type":"string","example":["TID-abc"]}},"permissions":{"type":"array","items":{"type":"string","example":["X","Y"]}}}}}}}}}}}},"/umm/users/sign-up":{"post":{"tags":["umm"],"description":"User Management","requestBody":{"description":"Transfer data","content":{"application/json":{"schema":{"type":"object","properties":{"user":{"$ref":"#/components/schemas/UserObject"},"clientSecret":{"type":"string"},"clientId":{"type":"string"}}}}},"required":true},"responses":{"200":{"description":"umm"}}}},"/umm/users/confirm":{"post":{"tags":["umm"],"description":"User Management","requestBody":{"description":"Transfer data","content":{"application/json":{"schema":{"type":"object","properties":{"user":{"type":"object","properties":{"username":{"type":"string","example":"hpvainda"},"code":{"type":"string","example":729509}}},"clientSecret":{"type":"string"},"clientId":{"type":"string"}}}}},"required":true},"responses":{"200":{"description":"umm"}}}},"/umm/users/change-password":{"post":{"tags":["umm"],"description":"User Management","requestBody":{"description":"Transfer data","content":{"application/json":{"schema":{"type":"object","properties":{"user":{"type":"object","properties":{"email":{"type":"string","example":"hpvainda@gmail.com"}}},"clientSecret":{"type":"string"},"clientId":{"type":"string"}}}}},"required":true},"responses":{"200":{"description":"umm"}}}},"/umm/users/confirm-password":{"post":{"tags":["umm"],"description":"User Management","requestBody":{"description":"Transfer data","content":{"application/json":{"schema":{"type":"object","properties":{"newPassword":{"type":"string"},"oldPassword":{"type":"string"}}}}},"required":true},"responses":{"200":{"description":"umm"}}}},"/umm/tenants/{tenantName}/configurations":{"get":{"tags":["umm"],"parameters":[{"name":"tenantName","in":"path","description":"Tenant name","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Get configuration","content":{"aplication/json":{"schema":{"$ref":"#/components/schemas/TenantConfigObject"}}}}}}},"/crm/classroom":{"post":{"tags":["class room"],"summary":"Posting class room details","requestBody":{"required":true,"description":"Request body for saving a class room","content":{"application/json":{"schema":{"type":"object","properties":{"name":{"type":"string"},"classAttributes":{"type":"object","properties":{"examination":{"type":"string","example":"A/L"},"medium":{"type":"string","example":"English"},"subject":{"type":"string","example":"Economics"},"institute":{"type":"string","example":"Sigma"},"classType":{"type":"string","example":"Live Class"},"examinationYear":{"type":"string","example":2021},"grade":{"type":"string","example":8}}}}}}}},"responses":{"200":{"description":"Saved object","content":{"application/json":{"schema":{"type":"object","properties":{"createdDate":{"type":"string"},"updatedDate":{"type":"string"},"tenantId":{"type":"string"},"classRoomId":{"type":"string"},"name":{"type":"string"},"classAttributes":{"type":"object","properties":{"examination":{"type":"string","example":"A/L"},"medium":{"type":"string","example":"English"},"subject":{"type":"string","example":"Economics"},"institute":{"type":"string","example":"Sigma"},"classType":{"type":"string","example":"Live Class"},"examinationYear":{"type":"string","example":2021},"grade":{"type":"string","example":8}}}}}}}}}},"get":{"tags":["class room"],"summary":"Returns list of class rooms","responses":{"200":{"description":"List of class objects","content":{"application/json":{"schema":{"type":"object","properties":{"createdDate":{"type":"string"},"updatedDate":{"type":"string"},"tenantId":{"type":"string"},"classRoomId":{"type":"string"},"name":{"type":"string"},"classAttributes":{"type":"object","properties":{"examination":{"type":"string","example":"A/L"},"medium":{"type":"string","example":"English"},"subject":{"type":"string","example":"Economics"},"institute":{"type":"string","example":"Sigma"},"classType":{"type":"string","example":"Live Class"},"examinationYear":{"type":"string","example":2021},"grade":{"type":"string","example":8}}}}}}}}}},"delete":{"tags":["class room"],"summary":"Returns archived class room","parameters":[{"in":"query","name":"id","description":"class roon id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"List of class objects","content":{"application/json":{"schema":{"type":"object","properties":{"createdDate":{"type":"string"},"updatedDate":{"type":"string"},"tenantId":{"type":"string"},"classRoomId":{"type":"string"},"name":{"type":"string"},"classAttributes":{"type":"object","properties":{"examination":{"type":"string","example":"A/L"},"medium":{"type":"string","example":"English"},"subject":{"type":"string","example":"Economics"},"institute":{"type":"string","example":"Sigma"},"classType":{"type":"string","example":"Live Class"},"examinationYear":{"type":"string","example":2021},"grade":{"type":"string","example":8}}}}}}}}}}},"/crm/classroom/classRoomId":{"put":{"tags":["class room"],"summary":"updating class room details","parameters":[{"in":"params","name":"classRoomId","description":"class room id","required":true,"schema":{"type":"string"}}],"requestBody":{"required":true,"description":"Request body for updated a class room","content":{"application/json":{"schema":{"type":"object","properties":{"classRoomAttributes":{"type":"object","properties":{"classMode":{"type":"string","description":"N/A","example":"Physical"},"classType":{"type":"string","description":"N/A","example":"Assigment"},"examination":{"type":"string","description":"N/A","example":"A/L"},"examinationYear":{"type":"string","description":"N/A","example":2022},"institute":{"type":"string","description":"N/A","example":"SLIIT"},"medium":{"type":"string","description":"N/A","example":"English"},"subject":{"type":"string","description":"N/A","example":"Maths"}}},"name":{"type":"string","description":"N/A","example":"My Class"},"isCompleted":{"type":"boolean","description":"N/A","example":false},"teachers":{"type":"array","items":[{"type":"object","properties":{"name":{"type":"string","description":"N/A","example":"Harsha"},"role":{"type":"string","description":"N/A","example":"Teacher"},"userId":{"type":"string","description":"N/A","example":"UID-f3cd89be-6e69-4d15-9285-37a5ee433b1f"}}},{"type":"object","properties":{"name":{"type":"string","description":"N/A","example":"Harsha"},"role":{"type":"string","description":"N/A","example":"Teacher"},"userId":{"type":"string","description":"N/A","example":"UID-f3cd89be-6e69-4d15-9285-37a5ee433b1f"}}}]}}}}}},"responses":{"200":{"description":"Saved object","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","description":"N/A","example":"success"},"statusCode":{"type":"number","description":"N/A","example":200},"data":{"type":"object","properties":{"attributes":{"type":"object","properties":{"stats":{"type":"object","properties":{"noOfStudents":{"type":"number","description":"N/A","example":1}}},"classRoomId":{"type":"string","description":"N/A","example":"CID-634388c7-bd13-4657-ba66-742061c5c087"},"createdDate":{"type":"string","description":"N/A","example":"2021-05-27T06:21:34.083Z"},"visibilityForOtherExaminationYears":{"type":"array","items":[]},"status":{"type":"string","description":"N/A","example":"active"},"tenantId":{"type":"string","description":"N/A","example":"TID-99ticks"},"isVisible":{"type":"boolean","description":"N/A","example":true},"updatedDate":{"type":"string","description":"N/A","example":"Sun Jun 06 2021 20:00:09 GMT+0530 (India Standard Time)"},"name":{"type":"string","description":"N/A","example":"My Class"},"teachers":{"type":"array","items":[{"type":"object","properties":{"name":{"type":"string","description":"N/A","example":"Harsha"},"userId":{"type":"string","description":"N/A","example":"UID-f3cd89be-6e69-4d15-9285-37a5ee433b1f"},"role":{"type":"string","description":"N/A","example":"Teacher"}}},{"type":"object","properties":{"name":{"type":"string","description":"N/A","example":"Harsha"},"userId":{"type":"string","description":"N/A","example":"UID-f3cd89be-6e69-4d15-9285-37a5ee433b1f"},"role":{"type":"string","description":"N/A","example":"Teacher"}}}]},"classRoomAttributes":{"type":"object","properties":{"classMode":{"type":"string","description":"N/A","example":"Physical"},"subject":{"type":"string","description":"N/A","example":"Maths"},"examination":{"type":"string","description":"N/A","example":"A/L"},"institute":{"type":"string","description":"N/A","example":"SLIIT"},"medium":{"type":"string","description":"N/A","example":"English"},"examinationYear":{"type":"string","description":"N/A","example":2022},"classType":{"type":"string","description":"N/A","example":"Assigment"}}},"isCompleted":{"type":"boolean","description":"N/A","example":false}}}}},"messageKey":{"type":"string","description":"N/A","example":"CLASS_ROOM_UPDATED"}}}}}}}}},"/crm/classroom/archive":{"get":{"tags":["class room"],"summary":"Returns archived class room","parameters":[{"in":"query","name":"id","description":"class roon id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"List of class objects","content":{"application/json":{"schema":{"type":"object","properties":{"createdDate":{"type":"string"},"updatedDate":{"type":"string"},"tenantId":{"type":"string"},"classRoomId":{"type":"string"},"name":{"type":"string"},"classAttributes":{"type":"object","properties":{"examination":{"type":"string","example":"A/L"},"medium":{"type":"string","example":"English"},"subject":{"type":"string","example":"Economics"},"institute":{"type":"string","example":"Sigma"},"classType":{"type":"string","example":"Live Class"},"examinationYear":{"type":"string","example":2021},"grade":{"type":"string","example":8}}}}}}}}}}},"/crm/classroom/classRoomId/activities/activityId/archive":{"put":{"tags":["activity"],"summary":"Returns activity","parameters":[{"in":"query","name":"classRoomId","description":"class room id","required":true,"schema":{"type":"string"}},{"in":"query","name":"activityId","description":"activity id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"activity objects","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","description":"N/A","example":"success"},"statusCode":{"type":"number","description":"N/A","example":200},"messageKey":{"type":"string","description":"N/A","example":"ACTIVITY_ARCHIVED"},"data":{"type":"object","properties":{"attributes":{"type":"object","properties":{"createdDate":{"type":"string","description":"N/A","example":"2021-06-04T11:55:48.071Z"},"endDate":{"type":"string","description":"N/A","example":"2021-06-09T18:30:00.000Z"},"webinarLink":{"type":"string","description":"N/A","example":null},"status":{"type":"string","description":"N/A","example":"archived"},"tenantId":{"type":"string","description":"N/A","example":"TID-99ticks"},"activityId":{"type":"string","description":"N/A","example":"AID-2a4a81f1-d069-4527-ac8f-3b5ed12aae01"},"isVisible":{"type":"boolean","description":"N/A","example":false},"startTime":{"type":"string","description":"N/A","example":"13:30"},"activityType":{"type":"string","description":"N/A","example":"ExamClass"},"classRoomId":{"type":"string","description":"N/A","example":"CID-634388c7-bd13-4657-ba66-742061c5c087"},"endTime":{"type":"string","description":"N/A","example":"15:30"},"sessionName":{"type":"string","description":"N/A","example":"Test Dasun"},"startDate":{"type":"string","description":"N/A","example":"2021-06-09T18:30:00.000Z"},"occurence":{"type":"string","description":"N/A","example":"everyWeek"},"updatedDate":{"type":"string","description":"N/A","example":"Sun Jun 06 2021 20:15:33 GMT+0530 (India Standard Time)"}}}}}}}}}}}}},"/crm/classroom/classRoomId/activities/activityId/visibility":{"put":{"tags":["activity"],"summary":"Returns changed activiy for class room","parameters":[{"in":"query","name":"classRoomId","description":"class room id","required":true,"schema":{"type":"string"}},{"in":"query","name":"activityId","description":"activity id","required":true,"schema":{"type":"string"}}],"requestBody":{"required":true,"description":"Request achive activity","content":{"application/json":{"schema":{"type":"object","properties":{"isVisible":{"type":"boolean","description":"N/A","example":true}}}}}},"responses":{"200":{"description":"activity objects","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","description":"N/A","example":"success"},"statusCode":{"type":"number","description":"N/A","example":200},"messageKey":{"type":"string","description":"N/A","example":"ACTIVITY_ARCHIVED"},"data":{"type":"object","properties":{"attributes":{"type":"object","properties":{"createdDate":{"type":"string","description":"N/A","example":"2021-06-04T11:55:48.071Z"},"endDate":{"type":"string","description":"N/A","example":"2021-06-09T18:30:00.000Z"},"webinarLink":{"type":"string","description":"N/A","example":null},"status":{"type":"string","description":"N/A","example":"deleted"},"tenantId":{"type":"string","description":"N/A","example":"TID-99ticks"},"activityId":{"type":"string","description":"N/A","example":"AID-2a4a81f1-d069-4527-ac8f-3b5ed12aae01"},"isVisible":{"type":"boolean","description":"N/A","example":true},"startTime":{"type":"string","description":"N/A","example":"13:30"},"activityType":{"type":"string","description":"N/A","example":"ExamClass"},"classRoomId":{"type":"string","description":"N/A","example":"CID-634388c7-bd13-4657-ba66-742061c5c087"},"endTime":{"type":"string","description":"N/A","example":"15:30"},"sessionName":{"type":"string","description":"N/A","example":"Test Dasun"},"startDate":{"type":"string","description":"N/A","example":"2021-06-09T18:30:00.000Z"},"occurence":{"type":"string","description":"N/A","example":"everyWeek"},"updatedDate":{"type":"string","description":"N/A","example":"Sun Jun 06 2021 20:15:33 GMT+0530 (India Standard Time)"}}}}}}}}}}}}},"/crm/classroom/classRoomId/activities/activityId":{"delete":{"tags":["activity"],"summary":"Returns deleted activiy","parameters":[{"in":"query","name":"classRoomId","description":"class room id","required":true,"schema":{"type":"string"}},{"in":"query","name":"activityId","description":"activity id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"activity objects","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","description":"N/A","example":"success"},"statusCode":{"type":"number","description":"N/A","example":200},"messageKey":{"type":"string","description":"N/A","example":"ACTIVITY_ARCHIVED"},"data":{"type":"object","properties":{"attributes":{"type":"object","properties":{"createdDate":{"type":"string","description":"N/A","example":"2021-06-04T11:55:48.071Z"},"endDate":{"type":"string","description":"N/A","example":"2021-06-09T18:30:00.000Z"},"webinarLink":{"type":"string","description":"N/A","example":null},"status":{"type":"string","description":"N/A","example":"deleted"},"tenantId":{"type":"string","description":"N/A","example":"TID-99ticks"},"activityId":{"type":"string","description":"N/A","example":"AID-2a4a81f1-d069-4527-ac8f-3b5ed12aae01"},"isVisible":{"type":"boolean","description":"N/A","example":false},"startTime":{"type":"string","description":"N/A","example":"13:30"},"activityType":{"type":"string","description":"N/A","example":"ExamClass"},"classRoomId":{"type":"string","description":"N/A","example":"CID-634388c7-bd13-4657-ba66-742061c5c087"},"endTime":{"type":"string","description":"N/A","example":"15:30"},"sessionName":{"type":"string","description":"N/A","example":"Test Dasun"},"startDate":{"type":"string","description":"N/A","example":"2021-06-09T18:30:00.000Z"},"occurence":{"type":"string","description":"N/A","example":"everyWeek"},"updatedDate":{"type":"string","description":"N/A","example":"Sun Jun 06 2021 20:15:33 GMT+0530 (India Standard Time)"}}}}}}}}}}}}},"/student/getStudents":{"get":{"tags":["student"],"summary":"Returns students for class room","parameters":[{"in":"query","name":"id","description":"class roon id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"List of students objects","content":{"application/json":{"schema":{"type":"object","properties":{"createdDate":{"type":"string"},"updatedDate":{"type":"string"},"tenantId":{"type":"string"},"classRoomId":{"type":"string"},"name":{"type":"string"},"classAttributes":{"type":"object","properties":{"examination":{"type":"string","example":"A/L"},"medium":{"type":"string","example":"English"},"subject":{"type":"string","example":"Economics"},"institute":{"type":"string","example":"Sigma"},"classType":{"type":"string","example":"Live Class"},"examinationYear":{"type":"string","example":2021},"grade":{"type":"string","example":8}}}}}}}}}}}},"components":{"schemas":{"AuthResponse":{"required":["url"],"type":"object","properties":{"status":{"type":"string","description":"N/A","example":"abc"},"statusCode":{"type":"string","description":"N/A","example":"abc"},"messageKey":{"type":"string","description":"N/A","example":"AUTHETICATE_SCUCCESS"},"data":{"type":"object","properties":{"accessToken":{"type":"string","description":"N/A","example":"jwt-token"},"expiresIn":{"type":"number","description":"N/A","example":3600},"tokenType":{"type":"string","example":"Bearer"},"refreshToken":{"type":"string","example":"jwt-token"},"idToken":{"type":"string","example":"jwt-token"}}}}},"ClassObject":{"required":["url"],"type":"object","properties":{"tenantId":{"type":"string","description":"N/A","example":"abc"},"classId":{"type":"string","description":"N/A","example":"abc"},"name":{"type":"string","description":"Name of the class","example":20.0},"type":{"type":"string","example":"live|recorded|exam"},"basicAttributes":{"type":"object","properties":{"examination":{"type":"string","example":"GCE A/L"},"medium":{"type":"string","example":"English"},"subject":{"type":"string","example":"Economics"},"classType":{"type":"string","example":"Theory"},"examinationYear":{"type":"string","example":2021},"institute":{"type":"string","example":"Sigma Institute"},"grade":{"type":"string","example":8},"classMode":{"type":"string","example":"Online"}}},"sessions":{"type":"object","properties":{"classType":{"type":"string","example":"Live Class"},"occurence":{"type":"string","example":"Every Week"},"startDate":{"type":"string","example":"1/12/2020"},"endDate":{"type":"string","example":"15/1/2021"},"fromTime":{"type":"string","example":"8 AM"},"toTime":{"type":"string","example":"10 AM"}}},"paymentConfiguration":{"type":"object","properties":{"planType":{"type":"object","example":"Monthly"},"subscriptionStartDate":{"type":"string","example":"1/1/2021"},"gracePeriodInDays":{"type":"string","example":7},"allowRecurringPayments":{"type":"boolean","example":true},"subscriptionEndDate":{"type":"string","example":"31/03/2021"},"allowDebitCards":{"type":"boolean","example":false},"allowImageProofUploads":{"type":"boolean","example":true},"uploadProofTypes":{"type":"object","properties":{"atmDeposits":{"type":"boolean","example":true},"bankDepositSlip":{"type":"boolean","example":true},"directTransferConfirmation":{"type":"boolean","example":true},"custom":{"type":"boolean","example":false}}},"methodOfPaymentApproval":{"type":"string","example":"manual"},"sessionIds":{"type":"array","items":{"type":"string"}}}},"rules":{"type":"object","properties":{}},"isCompleted":{"type":"boolean","example":null},"status":{"type":"string","example":null},"teacherIds":{"type":"array","items":{"type":"string"}},"stats":{"type":"object","properties":{"noOfStudents":{"type":"number","example":200}},"example":null},"updateDate":{"type":"string","example":null},"createdDate":{"type":"string","example":null}}},"TenantConfigObject":{"description":"Returns configurations of a tenant","properties":{"status":{"type":"string","example":"success"},"statusCode":{"type":"integer","example":200},"data":{"type":"object","properties":{"logo":{"type":"string","example":"https://i.pinimg.com/originals/5f/fb/de/5ffbdec.png"},"clientId":{"type":"string","example":"U2FsdGVkX1+7Bl1EJ0RL4m+jn"},"basePath":{"type":"string","example":"99ticks"},"colors":{"type":"object","properties":{"background":{"type":"string","example":null}}},"tenantId":{"type":"string","example":"TID-99ticks"},"tenantName":{"type":"string","example":"99Ticks"}}},"messageKey":{"type":"string"}}},"UserObject":{"type":"object","properties":{"tenantId":{"type":"string","example":"TID-99ticks"},"username":{"type":"string","example":"hpkavinda"},"password":{"type":"string","example":"Abcd@1234"},"email":{"type":"string","example":"hpkavinda@gmail.com"},"phone_number":{"type":"string","example":94770000000},"picture":{"type":"string"},"permissions":{"type":"string"},"userId":{"type":"string"},"roles":{"type":"string","example":"admin"},"firstName":{"type":"string","example":"harsha"},"lastName":{"type":"string","example":"kavinda"}}},"Schema":{"description":"R"},"Ba":{"description":"R"}},"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"responses":{"UnauthorizedError":{"description":"Authentication failed"}}}}